#include <stdio.h>
#include <stdlib.h>

#include "object.h"
#include "preprocess.h"
#include "verilog_preprocess.h"
#include "string.h"

int SetPreProcess(HOBJECT object);
int yylex();
char* yytext;

int main(int argc, char* argv[])
{
	int token;
	IPreprocess** p;
	preprocessVerilogCreate(&p);
	objectCall1(p, AddIncludePath, "c:/tools/");
	SetPreProcess(p);
	if (argc == 1)
		objectCall2(p, SetFile, "d:/TestDriver.v", 0);
	else
		objectCall2(p, SetFile, argv[1], 0);

	do {
		token = yylex();
		if (token > 0)
			printf("token %d: %s\n", token, yytext);
	} while (token > 0);

	objectRelease(p);
	return 0;
}